Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/Misc/SchafferN2.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/Misc/SchafferN2.cs	(revision 17224)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/Misc/SchafferN2.cs	(revision 17225)
@@ -31,5 +31,5 @@
   public class SchafferN2 : MultiObjectiveTestFunction {
     protected override double[,] GetBounds(int objectives) {
-      return new double[,] { { -5, 10 } };
+      return new double[,] {{-5, 10}};
     }
 
@@ -39,9 +39,9 @@
 
     protected override double[] GetReferencePoint(int objecitves) {
-      return new double[] { 100, 100 };
+      return new double[] {100, 100};
     }
 
 
-    protected override IEnumerable<double[]> GetOptimalParetoFront(int objectives) {
+    protected override IList<double[]> GetOptimalParetoFront(int objectives) {
       return null;
     }
@@ -72,5 +72,5 @@
       f1 *= f1;
 
-      return new double[] { f0, f1 };
+      return new double[] {f0, f1};
     }
   }
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/MultiObjectiveTestFunction.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/MultiObjectiveTestFunction.cs	(revision 17224)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/MultiObjectiveTestFunction.cs	(revision 17225)
@@ -87,9 +87,9 @@
     /// retrieves the optimal pareto front (if known from a file)
     /// </summary>
-    public IEnumerable<double[]> OptimalParetoFront(int objectives) {
+    public IList<double[]> OptimalParetoFront(int objectives) {
       ThrowIfObjectivesOutOfRange(objectives);
       return GetOptimalParetoFront(objectives);
     }
-    protected abstract IEnumerable<double[]> GetOptimalParetoFront(int objectives);
+    protected abstract IList<double[]> GetOptimalParetoFront(int objectives);
 
     /// <summary>
@@ -132,8 +132,8 @@
       Parameters.Add(new FixedValueParameter<IntValue>("Minimum Objectives",
         "The dimensionality of the problem instance (number of variables in the function).",
-        (IntValue)new IntValue(minimumObjectives).AsReadOnly()) { GetsCollected = false });
-      Parameters.Add(new FixedValueParameter<IntValue>("Maximum Objectives", "The dimensionality of the problem instance (number of variables in the function).", (IntValue)new IntValue(maximumObjectives).AsReadOnly()) { GetsCollected = false });
-      Parameters.Add(new FixedValueParameter<IntValue>("Minimum SolutionLength", "The dimensionality of the problem instance (number of variables in the function).", (IntValue)new IntValue(minimumSolutionLength).AsReadOnly()) { GetsCollected = false });
-      Parameters.Add(new FixedValueParameter<IntValue>("Maximum SolutionLength", "The dimensionality of the problem instance (number of variables in the function).", (IntValue)new IntValue(maximumSolutionLength).AsReadOnly()) { GetsCollected = false });
+        (IntValue)new IntValue(minimumObjectives).AsReadOnly()) {GetsCollected = false});
+      Parameters.Add(new FixedValueParameter<IntValue>("Maximum Objectives", "The dimensionality of the problem instance (number of variables in the function).", (IntValue)new IntValue(maximumObjectives).AsReadOnly()) {GetsCollected = false});
+      Parameters.Add(new FixedValueParameter<IntValue>("Minimum SolutionLength", "The dimensionality of the problem instance (number of variables in the function).", (IntValue)new IntValue(minimumSolutionLength).AsReadOnly()) {GetsCollected = false});
+      Parameters.Add(new FixedValueParameter<IntValue>("Maximum SolutionLength", "The dimensionality of the problem instance (number of variables in the function).", (IntValue)new IntValue(maximumSolutionLength).AsReadOnly()) {GetsCollected = false});
 
       MinimumObjectives = minimumObjectives;
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/ParetoFrontStore.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/ParetoFrontStore.cs	(revision 17224)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/ParetoFrontStore.cs	(revision 17225)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.TestFunctions.MultiObjective {
   internal class ParetoFrontStore {
-    internal static IEnumerable<double[]> GetParetoFront(String filename) {
+    internal static IList<double[]> GetParetoFront(String filename) {
       List<double[]> data = new List<double[]>();
       var assembly = Assembly.GetExecutingAssembly();
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/ZDT/ZDT.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/ZDT/ZDT.cs	(revision 17224)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/TestFunctions/ZDT/ZDT.cs	(revision 17225)
@@ -28,10 +28,10 @@
   [StorableType("A8192C08-A1DA-479A-9381-9B634761B521")]
   public abstract class ZDT : MultiObjectiveTestFunction {
-    protected override IEnumerable<double[]> GetOptimalParetoFront(int objectives) {
+    protected override IList<double[]> GetOptimalParetoFront(int objectives) {
       return ParetoFrontStore.GetParetoFront("ZDT.ParetoFronts." + this.ItemName);
     }
 
     protected override double[,] GetBounds(int objectives) {
-      return new double[,] { { 0, 1 } };
+      return new double[,] {{0, 1}};
     }
 
@@ -41,5 +41,5 @@
 
     protected override double[] GetReferencePoint(int objecitives) {
-      return new double[] { 11.0, 11.0 };
+      return new double[] {11.0, 11.0};
     }
 
@@ -51,6 +51,5 @@
     protected ZDT(StorableConstructorFlag _) : base(_) { }
     protected ZDT(MultiObjectiveTestFunction original, Cloner cloner)
-      : base(original, cloner) {
-    }
+      : base(original, cloner) { }
     protected ZDT() : base(minimumObjectives: 2, maximumObjectives: 2, minimumSolutionLength: 1, maximumSolutionLength: int.MaxValue) { }
 
